<template>
    <button class="the-button">{{ text }}</button>
</template>

<script lang="ts">
import { defineComponent } from 'vue'

export default defineComponent({
    props: {
        text: String,
        children: String
    },
    setup(props) {
        props.text
    }
})
</script>

<style>
.the-button {
    border: 0px;
    border-radius: 5px;
    color: var(--vt-c-base);
    background-color: var(--vt-c-green);
    cursor: pointer;
    transition: background-color 0.2s;
}

.the-button:hover {
    background-color: var(--vt-c-peach);
}
</style>
